Arbor 3: FSM & BT Graph Editor 3.7.1

Static Public Member Functions | List of all members
SerializationUtility Class Reference

Utility class for Unity serialization More...

## Static Public Member Functions
static bool | IsSupportedArray (System.Type type)
| Returns whether it is an array supported. More...
static System.Type | ElementTypeOfArray (System.Type type)
| Returns the type of the array element. More...
static System.Type | ElementType (System.Type type)
| If it is an array it returns the type of the element. More...
static bool | IsSerializableFieldType (System.Type type)
| Returns whether the field type is serializable. More...
static bool | IsSerializableField (System.Reflection.FieldInfo fieldInfo)
| Returns whether the field is serializable. More...

## Detailed Description

Utility class for Unity serialization

## Member Function Documentation

## ◆ ElementType()

static System.Type ElementType | ( | System.Type | type | ) |
| static

If it is an array it returns the type of the element.

Parameters

  type | Type

Returns
  If it is an array it returns the type of the element. Otherwise return type unchanged.

## ◆ ElementTypeOfArray()

static System.Type ElementTypeOfArray | ( | System.Type | type | ) |
| static

Returns the type of the array element.

Parameters

  type | Array type

Returns
  The type of the array element

## ◆ IsSerializableField()

static bool IsSerializableField | ( | System.Reflection.FieldInfo | fieldInfo | ) |
| static

Returns whether the field is serializable.

Parameters

  fieldInfo | FieldInfo

Returns
  Returns true if serializable.

## ◆ IsSerializableFieldType()

static bool IsSerializableFieldType | ( | System.Type | type | ) |
| static

Returns whether the field type is serializable.

Parameters

  type | Field type

Returns
  Returns true if serializable.

## ◆ IsSupportedArray()

static bool IsSupportedArray | ( | System.Type | type | ) |
| static

Returns whether it is an array supported.

Parameters

  type | Determining type

Returns
  Returns true if the array is supported.